### Function

# Soup HSTSPolicy new

#### Declaration [src]

    SoupHSTSPolicy*
    soup_hsts_policy_new (
      const char* domain,
      unsigned long max_age,
      gboolean include_subdomains
    )

#### Description [src]

Creates a new `SoupHSTSPolicy` with the given attributes.

`domain` is a domain on which the strict transport security policy represented by this object must be enforced.

`max_age` is used to set the “expires” attribute on the policy; pass `SOUP_HSTS_POLICY_MAX_AGE_PAST` for an already-expired policy, or a lifetime in seconds.

If `include_subdomains` is `TRUE`, the strict transport security policy must also be enforced on all subdomains of `domain`.

#### Parameters

`domain`

  Type: `const char*`

  Policy domain or hostname.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`max_age`

  Type: `unsigned long`

  Max age of the policy.

`include_subdomains`

  Type: `gboolean`

  `TRUE` if the policy applies on subdomains.

#### Return value

Type: `SoupHSTSPolicy`

A new `SoupHSTSPolicy`.

The caller of the function takes ownership of the data, and is responsible for freeing it.